Subject: bug#21529: closed (Re: bug#21529: 2015-09-20; Xemacs, auctex git, cannot run latex,pdflatexx)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 08 Oct 2015 22:09:02 +0000

Your bug report

#21529: 2015-09-20; Xemacs, auctex git, cannot run latex,pdflatex

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21529: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21529
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21529: 2015-09-20; Xemacs, auctex git, cannot run latex,pdflatexx
From: Mosè Giordano <[email-masked]>
To: Tassilo Horn <[email-masked]>
Cc: [email-masked], Uwe Brauer <[email-masked]>
Date: Fri, 9 Oct 2015 00:07:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

2015-10-08 9:39 GMT+02:00 Tassilo Horn <[email-masked]>:
> Mosè Giordano <[email-masked]> writes:
>
>>> Another approach with the same limitations would be that we add a
>>> variable `TeX-expand-list-builtin' with all the current default
>>> expansions and leave `TeX-expand-list' to the user.
>>>
>>> I think we should probably do the latter because we use that approach
>>> for several other variables already.
>>
>> Are you going to implement this?  If you can't, I think I can do that
>> as well.
>
> My spare time is currently quite limited, so feel free to implement it
> yourself.

Done, I'm closing this ticket.

Cheers,
Mosè

Subject: 2015-09-20; Xemacs, auctex git, cannot run latex,pdflatex
From: Uwe Brauer <[email-masked]>
To: [email-masked]
Date: Mon, 21 Sep 2015 12:49:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi 

I finally, thanks to Mose can compile the latest git as a xemacs pkg, I
installed it but when trying to run latex I obtain the following error
message which I attach:

Uwe Brauer 

Running `LaTeX' on `new' with ``latex %(file-line-error)  -src-specials -interaction=nonstopmode "\input" new.tex''
/bin/sh: Syntax error: "(" unexpected

TeX Output exited abnormally with code 2 at Mon Sep 21 12:47:03

Emacs  : XEmacs 21.5  (beta34) "kale" 58e72e27fb81+ [Lucid] (i686-pc-linux, Mule) of Wed Mar 18 2015 on Gilgamesch
Package: 2015-09-20

current state:
==============
(setq
 AUCTeX-date "2015-09-20"
 window-system 'x
 LaTeX-version "2e"
 TeX-style-path '("/usr/local/var/auctex/"
				  "/usr/local/share/xemacs/xemacs-packages/etc/auctex/style"
				  "/home/oub/.emacs.d/auctex/auto" "/home/oub/.emacs.d/auctex/style" "auto"
				  "style" "/home/oub/tex/sty/auto")
 TeX-auto-save t
 TeX-parse-self t
 TeX-master nil
 TeX-command-list '(("TeX" "%(PDF)%(tex) %(extraopts) %`%S%(PDFout)%(mode)%' %t" TeX-run-TeX
					 nil (plain-tex-mode texinfo-mode ams-tex-mode) :help "Run plain TeX")
					("LaTeX" "%`%l%(mode)%' %t" TeX-run-TeX nil (latex-mode doctex-mode)
					 :help "Run LaTeX")
					("Makeinfo" "makeinfo %(extraopts) %t" TeX-run-compile nil (texinfo-mode)
					 :help "Run Makeinfo with Info output")
					("Makeinfo HTML" "makeinfo %(extraopts) --html %t" TeX-run-compile nil
					 (texinfo-mode) :help "Run Makeinfo with HTML output")
					("AmSTeX" "%(PDF)amstex %(extraopts) %`%S%(PDFout)%(mode)%' %t"
					 TeX-run-TeX nil (ams-tex-mode) :help "Run AMSTeX")
					("ConTeXt" "texexec --once --texutil %(extraopts) %(execopts)%t"
					 TeX-run-TeX nil (context-mode) :help "Run ConTeXt once")
					("ConTeXt Full" "texexec %(extraopts) %(execopts)%t" TeX-run-TeX nil
					 (context-mode) :help "Run ConTeXt until completion")
					("BibTeX" "bibtex %s" TeX-run-BibTeX nil t :help "Run BibTeX")
					("Biber" "biber %s" TeX-run-Biber nil t :help "Run Biber")
					("View" "%V" TeX-run-discard-or-function t t :help "Run Viewer")
					("pdfstudio" "/opt/pdfstudio9/pdfstudio9 %G" TeX-run-command t t)
					("evince" "/usr/bin/evince %G" TeX-run-command t t)
					("xpdf" "/usr/bin/xpdf %G" TeX-run-command t t)
					("fullxpdf" "/usr/bin/xpdf -fullscreen %G" TeX-run-command t t)
					("oolatex" "/usr/share/tex4ht/oolatex %t" TeX-run-command t t)
					("panlatex2odt" "pandoc -s -R -f latex --toc %t -t odt -o %O"
					 TeX-run-command t t)
					("panlatex2rtf" "pandoc -s -R -f latex --toc %t -t rtf -o %R"
					 TeX-run-command t t)
					("latex2rtf" "latex2rtf -f0 %t" TeX-run-command nil t)
					("oabiword" "abiword %O" TeX-run-command nil t)
					("rabiword" "abiword %R" TeX-run-command t t)
					("Print" "%p" TeX-run-command t t :help "Print the file")
					("Queue" "%q" TeX-run-background nil t :help "View the printer queue"
					 :visible TeX-queue-command)
					("File" "%(o?)dvips %d -o %f | ps2pdf %f" TeX-run-command t t :help
					 "Generate PostScript file")
					("Index" "makeindex %s" TeX-run-command nil t :help "Create index file")
					("makenomen" "makeindex %s.nlo -s nomencl.ist -o %s.nls" TeX-run-command
					 t t)
					("Xindy" "texindy %s" TeX-run-command nil t :help
					 "Run xindy to create index file")
					("Check" "lacheck %s" TeX-run-compile nil (latex-mode) :help
					 "Check LaTeX file for correctness")
					("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode) :help
					 "Check LaTeX file for common mistakes")
					("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil t :help
					 "Spell-check the document")
					("Clean" "TeX-clean" TeX-run-function nil t :help
					 "Delete generated intermediate files")
					("Clean All" "(TeX-clean t)" TeX-run-function nil t :help
					 "Delete generated intermediate and output files")
					("Other" "" TeX-run-command t t :help "Run an arbitrary command"))
 )